> For the complete documentation index, see [llms.txt](https://docs.olziedev.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.olziedev.com/projects/playerauctions/api/expansions/currency.md).

# Auction Currency

In Player Auctions you can create a currency addon that will allow you to create a new currency type. This will allow you to create a new currency type that will be able to be used on the auction house.

## Registering

You can go [here](/projects/playerauctions/api/expansions.md#registering-expansions) to learn on how to register an expansion.

## Examples

Here is an example of a currency addon class, this will let you be able to create a new currency type.

```java
import com.olziedev.playerauctions.api.expansion.ACurrency;
import com.olziedev.playerauctions.api.player.APlayer;

import java.util.function.Consumer;

public class CurrencyExample extends ACurrency {

    @Override
    public String getCurrencyName() {
        return null;
    }

    @Override
    public String getCurrencyPrefix() {
        return null;
    }

    @Override
    public double getMinPricePurchaseAmount() {
        return 0;
    }

    @Override
    public double getMinPriceSellAmount() {
        return 0;
    }

    @Override
    public double getMaxPriceSellAmount() {
        return 0;
    }

    @Override
    public double getMinPriceBidAmount() {
        return 0;
    }

    @Override
    public boolean hasDecimalSupport() {
        return false;
    }

    @Override
    public void getBalance(APlayer aPlayer, Consumer<Double> balanceConsumer) {

    }

    @Override
    public void deposit(APlayer aPlayer, double amount) {

    }

    @Override
    public void withdraw(APlayer aPlayer, double amount) {

    }

    @Override
    public boolean isEnabled() {
        return true;
    }

    @Override
    public String getName() {
        return "Example Currency";
    }

    @Override
    public void onLoad() {

    }
}
```

The above example is a currency addon that will allow you to create a new currency type. You can use this to create a new currency type that will be able to be used on the auction house.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.olziedev.com/projects/playerauctions/api/expansions/currency.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
